@echo off

set VCEssentialExist=0

set currentProgramFiles="%ProgramFiles%"
IF NOT ""%1"" EQU """" set currentProgramFiles=%1

rem set the directory where the batch file is located
set cmdFileFolder=%~dp0

set outputFolder=%cmdFileFolder%Output\AnyCPU
set mainExeFile=VisualComponents.Engine.exe

set VCEssentialsFolderName=Visual Components Essentials 4.0
set VCPremiumFolderName=Visual Components Premium 4.0
set VCProfessionalFolderName=Visual Components Professional 4.0

rem Check installed versions
call :CopyVCEssential "%VCPremiumFolderName%"       %currentProgramFiles%\"Visual Components\%VCPremiumFolderName%"
call :CopyVCEssential "%VCEssentialsFolderName%"    %currentProgramFiles%\"Visual Components\%VCEssentialsFolderName%"
call :CopyVCEssential "%VCProfessionalFolderName%"  %currentProgramFiles%\"Visual Components\%VCProfessionalFolderName%"

goto :END

:CopyVCEssential %1 %2
set folderName=%1
set appPath=%2
IF %VCEssentialExist%==1 goto :EOF
IF NOT EXIST "%outputFolder%" mkdir "%outputFolder%"
IF NOT EXIST "%outputFolder%\%mainExeFile%" (
    IF EXIST %appPath%\%mainExeFile% (
        echo.
        echo Copying %folderName% version
        echo to     "%outputFolder%" folder
        echo from   %appPath%:
        xcopy %appPath% "%outputFolder%\*.*" /S /Q /Y
        set VCEssentialExist=1
    )
) ELSE (
    echo Output executable present, copying %folderName% is not needed.
    set VCEssentialExist=1
)
goto :EOF


:END
rem pause

:EOF

