﻿
using System;
using WCF_ClientApp.ServiceReference1;
using System.Windows.Media;

namespace WCF_ClientApp
{

    class CallbackService : IVCServiceCallback
    {
        MainWindow parent;
        public CallbackService(MainWindow Parent)
        {
            this.parent = Parent;
        }

        public void GenericCallback(string[] info)
        {
            parent.LoadedComponents.Items.Clear();
            foreach (string item in info)
            {
                parent.LoadedComponents.Items.Add(item);
            }
        }

        public void GenericCallback2(string info)
        {
            parent.LoadedComponents.UnselectAll();
            parent.Signal.Content = "No Signal";
            parent.Signal.Background = Brushes.LightGray;

            if (!String.IsNullOrEmpty(info))
            {
                if (parent.LoadedComponents.Items.Count > 0)
                {
                    parent.LoadedComponents.SelectedValue = info;
                    parent.LoadedComponents.ScrollIntoView(parent.LoadedComponents.SelectedItem);
                }
            }
            else
            {
                parent.LoadedComponents.UnselectAll();
                parent.Signal.Content = "No Signal";
                parent.Signal.Background = Brushes.LightGray; ;
            }
        }

        public void OnSignal(bool signal, string signalName, string ownerComponent)
        {
            if (signal == true)
            {
                parent.Signal.Content = string.
                    Format("{0} in {1} component is {2}", signalName, ownerComponent, signal);
                parent.Signal.Background = Brushes.Green;
            }
            else
            {
                parent.Signal.Content = string.
                    Format("{0} in {1} component is {2}", signalName, ownerComponent, signal);
                parent.Signal.Background = Brushes.Red;
            }
        }
    }
}
